/** ===== Aplicacion de regla global ===== **/
/* Se aplica regla global para evitar que se mueva en scroll,
hacia un lado y quede espacio en algun costado */
@media screen and (max-width: 768px) {
    body {
        overflow-x: hidden !important;
    }
}

/* Termina aplicacion de regla global */

/** ===== Inicia estilo responsivo de encabezado ===== **/
/* Modifición de alto, ancho y centrado de imagen */
@media screen and (max-width: 768px) {
    body {
        overflow-x: hidden !important;
    }

    #encabezado {
        width: 100%;
        height: 700px;
        background-position: 65% 0px;
        background-repeat: no-repeat;
        background-size: cover;
    }

    /* Color de mascara traslucida para encabezado */
    .mascara {
        background-color: rgba(0, 0, 0, 0.391);
    }

    /* Modifición del de tamaño de la fuente en el texto Melany */
    .texto1 {
        font-size: 60px;
    }

    /* Modifición del tamaño del contenedor para reducion general de
    las fuentes sin aplicar font-size */
    .contenedor {
        position: absolute;
        display: inline-block;
        transform: scale(0.7);
    }
}

/* ----- Termina estilo responsivo de encabezado ----- */


/** ===== Inicia estilo responsivo de flores ===== **/
/* Modificacion de opacidad, tamaño y color de fondo en 
la sección de las flores decorativas*/
@media screen and (max-width: 768px) {

    .flores::before,
    .flores::after {
        opacity: 5%;
        content: "";
        position: fixed;
        top: 100px;
        width: 130px;
        height: 250px;
        background-repeat: no-repeat;
        background-size: cover;
        z-index: -10;
    }
}

/* ----- Termina estilo responsivo de flores ----- */

/** ===== Inicia estilo responsivo de frase ===== **/
@media screen and (max-width: 768px) {

    /* Modificación de el contenedor de frase*/
    #frase {
        width: 100%;
        margin-top: 50px;
        margin-bottom: 50px;
    }

    /* Modificacion de texto para frase*/
    #frase p {
        font-weight: 200;
        font-size: 12px;
        line-height: 22px;
    }

    /* Desaparición de los saltos de linea para el texto*/
    br {
        display: none;
    }

    /* Reduccion de la escala del texto para no aplicar font-size*/
    .envoltura_escalable {
        transform: scale(0.9);
    }
}

/* ----- Termina estilo responsivo de frase ----- */


/** ===== Inicia estilo responsivo de cuenta regresiva ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor para reducion general de
    las fuentes sin aplicar font-size, junto con reduccion de
    espacios para juntar más las letras */
    .contenedor-cuentaregresiva {
        gap: 50px;
        transform: scale(0.5);
        bottom: 30px;
    }

    /*Modificacion del tamaño de la fuente de los numeros*/
    .numero-regresivo {
        font-size: 60px;
    }

    /*Modificacion del tamaño de la fuente de los días*/
    .label {
        font-size: 20px;
    }

    /*Modificacion del tamaño de la fuente de los días*/
    .groupo-cuentregresiva {
        position: relative;
        bottom: 150px;
        margin: 10px;
    }
}

/* ----- Termina estilo responsivo de cuenta regresiva ----- */

/** ===== Inicia estilo responsivo de invitación ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño de la posicion del contenedor*/
    #invitacion {
        position: relative;
        bottom: 20px;
    }
}

/* ----- Termina estilo responsivo de invitación ----- */


/** ===== Inicia estilo responsivo ubicaciones ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor*/
    #ubicaciones {
        width: 100%;
        height: 1000px;
    }

    /* Modifición del orden de los elementos y reducion de escala*/
    .contenedor-padre-ubicaciones {
        display: flex;
        flex-direction: column;
        transform: scale(0.9);
    }

    /* Modifición de la posicion de la imagen decorativa en el medio
    de las ubicaciones*/
    .imagendeflor {
        position: relative;
        margin-top: 50px;
    }
}

/* ----- Termina estilo responsivo ubicaciones ----- */


/** ===== Inicia estilo responsivo Mesa de regalos===== **/
@media screen and (max-width: 768px) {

    /* Modifición del elemento padre para tamaño, orden de los elementos y alineacion*/
    #contenedor-mesaderegalos-imagen {
        width: 100%;
        height: 1700px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /* Modificacion del ancho de la imagen de quinceañera */
    #imagenquinceañera-media {
        width: 100%;
    }

    /* Modificacion del orden de los elementos de las mesas de regalos */
    #mesaderegalos {
        display: flex;
        flex-direction: column;
        position: relative;
        top: 30px;
        justify-content: space-around;
    }

    /* Modifición del orden de los elementos dentro del contenedor en donde se ubican
    los logos de las mesas de regalos*/
    .contenedorbuttonmesaderegalos,
    .envoltura-mesaderegalos {
        display: flex;
        flex-direction: column;
    }

    /* Modifición del espacio entre logos y texto de las mesas de regalos*/
    .contenedorbuttonmesaderegalos {
        gap: 80px;
    }

    /* Modifición del margen del contenedor padre de lluvia de sobres*/
    .lluviadesobres {
        margin-top: 30px;
    }

    /* Modifición de la posicion del icono de sobre*/
    .imgsobre {
        margin-top: 20px;
    }

    /* Modifición del tamaño de los iconos de mesa de regalos*/
    .imagen-mesa-de-regalos {
        height: 100px;
    }
}

/* ----- Termina estilo responsivo Mesa de regalos ----- */


/** ===== Inicia estilo responsivo de codigo de vestimenta===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor y alineacion de texto*/
    #codigodevestimenta {
        width: 100%;
        height: 250px;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    /* Modifición del tamaño del titulo de codigo de vestimenta */
    #codigodevestimenta h2 {
        font-size: 23px;
    }

    /* Modifición del tamaño de fuente, centrado de texto, espaciado de sangria y espaciado de letras*/
    #codigodevestimenta p {
        text-align: center;
        font-size: 13px;
        line-height: 25px;
        left: 12px;
        margin-top: 40px;
        letter-spacing: 17px;
    }
}

/* ----- Termina estilo responsivo codigo de vestimenta ----- */

/** ===== Inicia estilo responsivo de contacto ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor padre*/
    #contenedorcontacto {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }

    /* Modificación del tamaño del contenedor hijo de contacto */
    #contacto {
        height: auto;
        width: 100%;
        padding: 30px 0;
    }

    /* Modificacion del ancho de la ultima imgen */
    .ultimafoto {
        width: 100%;
    }

    /* Modificacion del tamaño del codigo qr*/
    .qr {
        height: 150px;
    }
}

/* ----- Termina estilo responsivo codigo de contacto ----- */


/** ===== Inicia estilo responsivo No niños ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor*/
    #noniños {
        width: 100%;
        height: 70px;
    }

    /* Modifición del tamaño de la tipografia*/
    #noniños p {
        font-size: 7px;
    }
}

/* ----- Termina estilo responsivo No niños ----- */

/** ===== Inicia estilo responsivo pie de pagina ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor*/
    #piedepagina {
        width: 100%;
        height: auto;
    }

    /* Modifición del tamaño de tipografia*/
    small {
        font-size: 7px;
    }
}

/* ----- Termina estilo responsivo pie de pagina ----- */

/** ===== Inicia estilo responsivo de boton de reinicio para móvil ===== **/
@media screen and (max-width: 768px) {

    /* Modifición del tamaño del contenedor*/
    .botonarriba {
        width: 40px;
        height: 40px;
        bottom: 10px;
        right: 10px;
        text-align: center;
        font-size: 10px
    }
}

/* ----- Termina estilo responsivo de boton de reinicio ----- */